from flask import Flask, request, render_template, url_for
import pymongo
import random
from werkzeug.utils import redirect

app = Flask(__name__)


@app.route('/')
def index():
    return render_template('index.html')


@app.route('/login')
def login():
    if request.method == 'GET':
        name = request.args.get('username')
        pwd = request.args.get('password')
        re=[name]
        return render_template('homepage.html',re=re)

@app.route('/homepage')
def homepage():
    re = ['xxx']
    return render_template('homepage.html',re=re)

@app.route('/sign')
def sign():
    return render_template('sign.html')

@app.route('/signup')
def signup():
    return render_template('signup.html',name='xxx',tag=0)

@app.route('/myinfo')
def myinfo():
    name='111'
    wealth=60
    row1=[['xxx1','等级一'],['xxx2','等级二']]
    row2 = [['xxx1', '等级一'], ['xxx2', '等级二']]
    return render_template('myinfo.html',name=name,money=wealth,row1=row1,row2=row2)

@app.route('/equip_info')
def equip_info():
    return render_template('equipinfo.html')

@app.route('/sto_info')
def sto_info():
    return render_template('stoinfo.html')

@app.route('/take_off')
def take_off():
    return render_template('take_off.html'  ,tag=0)

@app.route('/take_on')
def take_on():
    return render_template('take_on.html',tag=0)

@app.route('/marinfo')
def marinfo():

    re=[['装备1',0,1,2,3],['装备2',0,1,2,3],['装备3',0,1,2,3]]
    return render_template('marinfo.html', re=re)

@app.route('/buy')
def buy():
    return render_template('buy.html', tag=0)
@app.route('/sell')
def sell():
    re = [['装备1', 'equip0001', 1, 2, 3], ['装备2', 'equip0002', 1, 2, 3], ['装备3', 'equip0002', 1, 2, 3]]
    return render_template('sell.html', re=re)
@app.route('/sell_it')
def sell_it():
    return render_template('sellinfo.html')

@app.route('/look_for_treasure')
def look_for_treasure():
    return render_template('look_for_treasure.html',equip_name='手套',tag=0)

@app.route('/look_for_money')
def look_for_money():
    return render_template('look_for_money.html',money=10)
app.config['DEBUG'] = True
app.secret_key = '123456'

if __name__ == '__main__':
    app.run(host='127.0.0.1', port=5005)
